Bug 1188373 - (CVE-2021-30563) VUL-0: chromium: update to 91.0.4472.164
(CVE-2021-30563)
VUL-0: chromium: update to 91.0.4472.164
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.2
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: Security Team bot
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-16 07:08 UTC by Robert Frohl
Modified: 2021-12-15 09:41 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2021-07-16 07:08:52 UTC
Stable Channel Update for Desktop
Thursday, July 15, 2021

The Stable channel has been updated to 91.0.4472.164 for Windows, Mac and Linux which will roll out over the coming days/weeks.

A full list of changes in this build is available in the log. Interested in switching release channels?  Find out how here. If you find a new issue, please let us know by filing a bug. The community help forum is also a great place to reach out for help or learn about common issues.

Security Fixes and Rewards

Note: Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain 

restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed.


This update includes 8 security fixes. Below, we highlight fixes that were contributed by external researchers. 

Please see the Chrome Security Pagfor more information.


[$7500][1219082] High CVE-2021-30559: Out of bounds write in ANGLE. Reported by Seong-Hwan Park (SeHwa) of SecunologyLab on 2021-06-11

[$5000][1214842] High CVE-2021-30541: Use after free in V8. Reported by Richard Wheeldon on 2021-05-31

[$N/A][1219209] High CVE-2021-30560: Use after free in Blink XSLT. Reported by Nick Wellnhofer on 2021-06-12

[$TBD][1219630] High CVE-2021-30561: Type Confusion in V8. Reported by Sergei Glazunov of Google Project Zero on 2021-06-14

[$TBD][1220078] High CVE-2021-30562: Use after free in WebSerial. Reported by Anonymous on 2021-06-15

[$TBD][1228407] High CVE-2021-30563: Type Confusion in V8. Reported by Anonymous on 2021-07-12

[$TBD][1221309] Medium CVE-2021-30564: Heap buffer overflow in WebXR. Reported by Ali Merchant, iQ3Connect VR Platform on 2021-06-17


We would also like to thank all security researchers that worked with us during the development cycle to prevent security bugs from ever reaching the stable channel.


Google is aware of reports that an exploit for CVE-2021-30563 exists in the wild.


As usual, our ongoing internal security work was responsible for a wide range of fixes:

    [1229408] Various fixes from internal audits, fuzzing and other initiatives


Many of our security bugs are detected using AddressSanitizer, MemorySanitizer, UndefinedBehaviorSanitizer, Control Flow Integrity, libFuzzer, or AFL.



Srinivas Sista
Google Chrome

https://chromereleases.googleblog.com/2021/07/stable-channel-update-for-desktop.html
Comment 1 Callum Farmer 2021-07-17 12:46:20 UTC
Doing update today
Comment 2 OBSbugzilla Bot 2021-07-18 02:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1188373) was mentioned in
https://build.opensuse.org/request/show/906869 Factory / chromium
Comment 3 Andreas Stieger 2021-07-18 06:57:50 UTC
submitted
Comment 4 OBSbugzilla Bot 2021-07-18 07:40:05 UTC
This is an autogenerated message for OBS integration:
This bug (1188373) was mentioned in
https://build.opensuse.org/request/show/906898 15.2 / chromium
https://build.opensuse.org/request/show/906899 Backports:SLE-15-SP3 / chromium
Comment 5 Swamp Workflow Management 2021-07-21 22:17:24 UTC
openSUSE-SU-2021:1074-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1188373
CVE References: CVE-2021-30541,CVE-2021-30559,CVE-2021-30560,CVE-2021-30561,CVE-2021-30562,CVE-2021-30563,CVE-2021-30564
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    chromium-91.0.4472.164-bp153.2.16.1
Comment 6 Swamp Workflow Management 2021-07-21 22:18:33 UTC
openSUSE-SU-2021:1073-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1188373
CVE References: CVE-2021-30541,CVE-2021-30559,CVE-2021-30560,CVE-2021-30561,CVE-2021-30562,CVE-2021-30563,CVE-2021-30564
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    chromium-91.0.4472.164-lp152.2.113.2
Comment 7 Marcus Meissner 2021-08-09 10:57:48 UTC
released
Comment 8 OBSbugzilla Bot 2021-12-15 09:41:26 UTC
This is an autogenerated message for OBS integration:
This bug (1188373) was mentioned in
https://build.opensuse.org/request/show/940663 Backports:SLE-12-SP3 / chromium